## AgsCursor

AgsCursor — unique access to cursor classes

## Stability Level

Stable, unless otherwise indicated

## Functions

gdouble | ags_cursor_get_default_offset ()
gdouble | ags_cursor_get_tact ()
gdouble | ags_cursor_get_bpm ()
guint | ags_cursor_get_rate ()
gdouble | ags_cursor_get_delay ()
guint64 | ags_cursor_get_duration ()
gdouble | ags_cursor_get_delay_counter ()
guint64 | ags_cursor_get_offset ()
GList * | ags_cursor_get_prev ()
GList * | ags_cursor_get_next ()
GList * | ags_cursor_get_current_copy ()
GList * | ags_cursor_get_current ()

## Object Hierarchy

        GInterface
        ╰── AgsCursor

## Includes

    #include <ags/object/ags_cursor.h>

## Description

The AgsCursor interface does cursor position abstraction.

## Functions

### ags_cursor_get_default_offset ()

    gdouble
    ags_cursor_get_default_offset (AgsCursor *cursor);

Get the default offset.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the default offset

Since: 3.0.0

### ags_cursor_get_tact ()

    gdouble
    ags_cursor_get_tact (AgsCursor *cursor);

Get the tact.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the tact

Since: 3.0.0

### ags_cursor_get_bpm ()

    gdouble
    ags_cursor_get_bpm (AgsCursor *cursor);

Get BPM.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the BPM

Since: 3.0.0

### ags_cursor_get_rate ()

    guint
    ags_cursor_get_rate (AgsCursor *cursor);

Get offset counter rate.

#### Parameters

cursor | the AgsCursor interface |

Since: 3.0.0

### ags_cursor_get_delay ()

    gdouble
    ags_cursor_get_delay (AgsCursor *cursor);

Get delay.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the delay

Since: 3.0.0

### ags_cursor_get_duration ()

    guint64
    ags_cursor_get_duration (AgsCursor *cursor);

Get duration.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the duration

Since: 3.0.0

### ags_cursor_get_delay_counter ()

    gdouble
    ags_cursor_get_delay_counter (AgsCursor *cursor);

Get delay counter.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the delay counter

Since: 3.0.0

### ags_cursor_get_offset ()

    guint64
    ags_cursor_get_offset (AgsCursor *cursor);

Get offset.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the offset

Since: 3.0.0

### ags_cursor_get_prev ()

    GList *
    ags_cursor_get_prev (AgsCursor *cursor);

Get prev.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the GList pointing to previous.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_cursor_get_next ()

    GList *
    ags_cursor_get_next (AgsCursor *cursor);

Get next.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the GList pointing to next.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_cursor_get_current_copy ()

    GList *
    ags_cursor_get_current_copy (AgsCursor *cursor);

Get current as copy.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the GList of current as copy.

[element-type GObject][transfer full]

Since: 3.0.0

### ags_cursor_get_current ()

    GList *
    ags_cursor_get_current (AgsCursor *cursor);

Get current.

#### Parameters

cursor | the AgsCursor interface |

#### Returns

the GList pointing to current.

[element-type GObject][transfer none]

Since: 3.0.0